unit SysVMsgQueueConstants;

interface

const
   // it appears that the MSG_R and MSG_W permissions are missing
   // from Linux header files!

   USR_MSG_R      = 256; // 0400 - Read by user
   USR_MSG_W      = 128; // 0200 - Write by user

   GRP_MSG_R      = USR_MSG_R shr 3; // Read by group
   GRP_MSG_W      = USR_MSG_W shr 3; // write by group

   WRLD_MSG_R     = USR_MSG_R shr 6; // Read by World (everyone)
   WRLD_MSG_W     = USR_MSG_W shr 6; // write by world (everyone)

implementation

end.
 