program prodcons;

{$APPTYPE CONSOLE}

uses
  Libc,
  Queues in 'Queues.pas',
  ProducerConsumerThreads in 'ProducerConsumerThreads.pas';

var
  buffer   : string;
  prodthrd : TProducerThread;
  conthrd  : TConsumerThread;

begin
  prodthrd := TProducerThread.Create(true);
  prodthrd.StartNo := 77;

  conthrd  := TConsumerThread.Create(true);

  writeln(pthread_self,' starting producer thread..');
  prodthrd.Resume;

  pthread_yield;
  // wait until we press a key before starting the consumer
  readln(buffer);

  writeln(pthread_self,' Starting consumer thread..');
  conthrd.Resume;

  // terminate the producer
  prodthrd.Terminate;
  // wait before terminating the consumer
  readln(buffer);

  // terminate the consumer
  conthrd.Terminate;

  writeln(pthread_self,' the main thread is done..');
end.
